# ordlista.py
# Ulrihca Malmberg 2018-06-15

# Programmet går igenom en textfil och letar reda på alla förekommande ord.
# Orden lagras i en lista i bokstavsordning. Dubbletter elimineras.

print("----------------------------------")
print("SKAPAR EN ORDLISTA UTIFRÅN EN TEXT")
print("----------------------------------")

ordlista = list()                           # Skapar en tom ordlista
filnamn = input('Skriv in filens namn: ')   # Använd filen text.txt
filöppnad = open(filnamn)
for rad in filöppnad:                       # Läser rad för rad
    rad = rad.rstrip()                      # Tar bort tomrum i slutet av raden
    if rad == '' : continue
    ord_rad = rad.split()                   # Delar upp raden så att varje ord blir en egen sträng
    for i in range(len(ord_rad)):           # Går igenom varje ord och lägger till i ordlistan om det saknas.
        ord = ord_rad[i]
        if ord not in ordlista :
            ordlista.append(ord)
        else : continue
ordlista.sort()
print(ordlista)
print("Det finns", len(ordlista), "ord i ordlistan.")
